<div id="container_banned"><table>
  <tr id="row_banned_comment" class="enabled"><td colspan="3" class="comment">
    The mail filter can check attachments of incoming mail for "banned files".<br/>
    Banned files are files with potentially dangerous content, i.e. .EXE files.<br/>
    The list of files that will be categorized as "banned" can not be changed on a per user basis, but only
    globally for the whole mail system.<br/><br/>
    Here you can configure, whether or not you want to enable the check for banned files<br/>
    and what should happen when the mail filter detects a mail with a banned file.<br/><br/>
    If you decide to receive mails with banned files, you can create server side filters (using SIEVE)<br/>
    or use your email clients filter capabilities to handle such mail in a special way (based on mail headers added by the mail filter).<br/><br/>
    It is not a bad idea to enable the check for banned files. But because a lot of file types may be "banned" by the mail filter,<br/>
    you should not enable quarantining, but instead enable the delivery to the final recipient. This way you will not miss<br/>
    mails just because the mail filter detected a "dangerous" file type. <br/>
    You can use a recipient address extension and/or server- or client-side filter rules to "mark" emails with banned files for security reasons.
    <br/><br/><hr/>
  </td></tr>

  <tr id="row_banned_enabled" class="enabled"><td><b>Enable check for banned files:</b></td>
    <td><select name="banned_enabled" id="banned_enabled" size="1" onchange="updateFormBanned()">
      <option value="1" <?php echo ($data["bypass_banned_checks"]=="N")?"selected=\"selected\"":""; ?>>Yes</option>
      <option value="0" <?php echo ($data["bypass_banned_checks"]=="Y")?"selected=\"selected\"":""; ?>>No</option>
    </select></td>
    <td class="comment">When disabled no checking of mail attachments for banned files will be done.</td>
  </tr>
  <tr id="row_banned_quarantine"><td><b>Store mails with banned files in quarantine:</b></td>
    <td><select name="banned_quarantine" id="banned_quarantine" size="1" onchange="updateFormBanned()">
      <option value="1" <?php echo ( $data["banned_quarantine_to"])?"selected=\"selected\"":""; ?>>Yes</option>
      <option value="0" <?php echo (!$data["banned_quarantine_to"])?"selected=\"selected\"":""; ?>>No</option>
    </select></td>
    <td class="comment">When you enable this option, a mail with a banned file attachment can be stored in a quarantine or sent to a special
      email address. This is most useful when you disable <em>"Deliver mails with banned files to final recipient"</em>,
      so mails with banned files will not be lost.
    </td>
  </tr>
  <tr id="row_banned_quarantine_to"><td><b>Where to quarantine mails with banned files:</b></td>
    <td><select name="banned_quarantine_to" id="banned_quarantine_to" size="1" onchange="updateFormBanned()">
      <option value="email" <?php echo (!strpos($data["banned_quarantine_to"],"@")===false)?"selected=\"selected\"":""; ?>>Send email</option>
      <option value="file"  <?php echo ( strpos($data["banned_quarantine_to"],"@")===false)?"selected=\"selected\"":""; ?>>Save as file</option>
    </select></td>
    <td class="comment">You can choose between storing mails with banned files in a special directory on the mailserver (<em>"Save as file"</em>)
      or send it via email to another email address ("<em>Send email</em>"). If you choose to send an email, make sure this recipient
      accepts mails with banned files! You could configure a special email address for this with "<em>Enable check for banned files</em>" 
      set to "<em>No</em>".<br/>
      The directory where mails with banned files will be quarantined if you choose "<em>Save as file</em>" can NOT be configured on a per user basis,
      so dont ask ;-)
    </td>
  </tr>
  <tr id="row_banned_quarantine_email"><td><b>Email address for quarantine:</b></td>
    <td><input type="text" id="banned_quarantine_email" name="banned_quarantine_email" value="<?php echo (strpos($data["banned_quarantine_to"],"@")===false)?"":$data["banned_quarantine_to"]; ?>" size="20"/></td>
    <td class="comment">The email address where mails with banned files have to be sent to.</td>
  </tr>
  <tr id="row_banned_notify_admin"><td><b>Send notification about banned files to admin:</b></td>
    <td><select name="banned_notify_admin" id="banned_notify_admin" size="1" onchange="updateFormBanned()">
      <option value="1" <?php echo ( $data["banned_admin"])?"selected=\"selected\"":""; ?>>Yes</option>
      <option value="0" <?php echo (!$data["banned_admin"])?"selected=\"selected\"":""; ?>>No</option>
    </select></td>
    <td class="comment">When a mail with banned files is detected we can automatically send a notification about this mail
      to a special email address (e.g. a postmaster who collects statistics about banned files). 
      This notification mail contains the sender and recipient of the infected mail, some meta data
      (extracted from the mail headers) and some information about the banned files.
    </td>
  </tr>
  <tr id="row_banned_notify_admin_email"><td><b>Email address to send notifications to:</b></td>
    <td><input type="text" id="banned_notify_admin_email" name="banned_notify_admin_email" value="<?php echo $data["banned_admin"]; ?>" size="20"/></td>
    <td class="comment">The mail address where notification emails concerning banned files should be sent to.</td>
  </tr>
  <tr id="row_banned_lover"><td><b>Deliver mails with banned files to final recipient:</b></td>
    <td><select name="banned_lover" id="banned_lover" size="1" onchange="updateFormBanned()">
      <option value="1" <?php echo ($data["banned_files_lover"]=="Y")?"selected=\"selected\"":""; ?>>Yes</option>
      <option value="0" <?php echo ($data["banned_files_lover"]=="N")?"selected=\"selected\"":""; ?>>No</option>
    </select></td>
    <td class="comment">When a mail with banned is detected you can decide whether or not to receive this email. When you set this option to
      "<em>Yes</em>" you will receive the mail. When you set this to "<em>No</em>", you will NOT receive the mail. In this case you should enable
      the option "<em>Store mails with banned files in quarantine</em>" to prevent you from really loosing mail.
    </td>
  </tr>
  <tr id="row_banned_notify_recpt"><td><b>Inform recipient about mails with banned files in quarantine:</b></td>
    <td><select name="banned_notify_recpt" id="banned_notify_recpt" size="1">
      <option value="1" <?php echo ($data["warnbannedrecip"]=="Y")?"selected=\"selected\"":""; ?>>Yes</option>
      <option value="0" <?php echo ($data["warnbannedrecip"]=="N")?"selected=\"selected\"":""; ?>>No</option>
    </select></td>
    <td class="comment">If you decided not to receive mails with banned files, and if you have enabled the quarantine mechanism,
      you can set this option to "<em>Yes</em>" to receive a notification mail telling you that we received a mail with banned files
      for you which has been moved into quarantine. This notification email will contain a "reference id" for your
      email. If you really want to get this mail, ask your mail administrator to release the mail with this "reference id"
      from the quarantine.<br/>
      <em>TODO: Releasing mail from quarantine does not work until now. Currently the mail administrator has to extract
      the mail manually from the quarantine and send you the quarantine file.</em>
    </td>
  </tr>
  <tr id="row_banned_addr_extension"><td><b>Add recipient address extension for mails with banned files:</b></td>
    <td><select name="banned_addr_extension" id="banned_addr_extension" size="1" onchange="updateFormBanned()">
      <option value="1" <?php echo ( $data["addr_extension_banned"])?"selected=\"selected\"":""; ?>>Yes</option>
      <option value="0" <?php echo (!$data["addr_extension_banned"])?"selected=\"selected\"":""; ?>>No</option>
    </select></td>
    <td class="comment">If you decided to receive mails with banned files you can automatically modify the recipient address using an "address
      extension". This means, when your email address is "alice@anywhere.com", and you enable this feature and set "<em>Address extension to
      be used</em>" (see below) to "banned", the final recipient will be "alice+banned@anywhere.com". <br/>
      One special advantage of this: if you have an IMAP account on this mail server, and if you have an IMAP folder called "banned"
      below your INBOX, this extension mechanism will make the email automatically to be stored in this "banned" folder
      (i.e. no need to use SIEVE for this).<br/>
      If this does not work for you, please contact your mail administrator - it's probably a permission problem (missing "anyone p" permission).<br/>
      <em>TODO: verify if this really works!</em>
    </td>
  </tr>
  <tr id="row_banned_addr_extension_txt"><td><b>Address extension to be used:</b></td>
    <td><input type="text" id="banned_addr_extension_txt" name="banned_addr_extension_txt" value="<?php echo $data["addr_extension_banned"]; ?>" size="10"/></td>
    <td class="comment">The address extension to be used for receiving mails with banned files. For users with an own IMAP account on this mail
      server this causes the mail system to store the received mail in the IMAP folder with the same name as the address extension given here.
    </td>
  </tr>
</table></div>
