<div id="container_spam"><table>
  <tr id="row_spam_comment" class="enabled"><td colspan="3" class="comment">
    Incoming mail can be checked for "spam". The mail system uses a built-in set of
    tests for this. Each test adds or removes "penalty points" to a mail.<br/> 
    For example, mails with "earn lots of money" in its subject will get 2.3 penalty points (so increasing the "spam level").<br/>
    Mails from a known sender may get -1.0 penalty points (which decreases the spam level).<br/>
    Currently the list of executed tests and their respective "penalty points" can only be configured globally.<br/><br/>
    In this configuration section you can decide if you want spam checks to be executed.<br/>
    You can define the "spam level" (the penalty points) a mail must at least have to be declared as "spam".<br/>
    For mails declared as being spam you can configure how to handle these mails.<br/><br/>
    A sensible configuration may look like this: TODO
    <br/><br/><hr/>
  </td></tr>

  <tr id="row_spam_enabled" class="enabled"><td><b>Enable check for spam:</b></td>
    <td><select name="spam_enabled" id="spam_enabled" size="1" onchange="updateFormSpam()">
      <option value="1" <?php echo ($data["bypass_spam_checks"]=="N")?"selected=\"selected\"":""; ?>>Yes</option>
      <option value="0" <?php echo ($data["bypass_spam_checks"]=="Y")?"selected=\"selected\"":""; ?>>No</option>
    </select></td>
    <td class="comment">When disabled no spam checking will be done.</td>
  </tr>
  <tr id="row_spam_spamlevel"><td><b>Spam level required for being declared as "spam":</b></td>
    <td><input type="text" id="spam_spamlevel" name="spam_spamlevel" value="<?php echo $data["spam_tag2_level"] ?>" size="5"/></td>
    <td class="comment">When a mail has at least so much "penalty points" it will be declared as being spam.</td>
  </tr>
  <tr id="row_spam_quarantine"><td><b>Store mails declared as "spam" in quarantine:</b></td>
    <td><select name="spam_quarantine" id="spam_quarantine" size="1" onchange="updateFormSpam()">
      <option value="1" <?php echo ( $data["spam_quarantine_to"])?"selected=\"selected\"":""; ?>>Yes</option>
      <option value="0" <?php echo (!$data["spam_quarantine_to"])?"selected=\"selected\"":""; ?>>No</option>
    </select></td>
    <td class="comment">When you enable this option, a mail categorized as "spam" can be stored in a quarantine or sent to a special
      email address. This is most useful when you disable <em>"Deliver mails declared as spam to final recipient"</em>,
      so spam mails will not be lost.
    </td>
  </tr>
  <tr id="row_spam_quarantine_to"><td><b>Where to quarantine mails declared as "spam":</b></td>
    <td><select name="spam_quarantine_to" id="spam_quarantine_to" size="1" onchange="updateFormSpam()">
      <option value="email" <?php echo (!strpos($data["spam_quarantine_to"],"@")===false)?"selected=\"selected\"":""; ?>>Send email</option>
      <option value="file"  <?php echo ( strpos($data["spam_quarantine_to"],"@")===false)?"selected=\"selected\"":""; ?>>Save as file</option>
    </select></td>
    <td class="comment">You can choose between storing mails in a special directory on the mailserver (<em>"Save as file"</em>)
      or send it via email to another email address ("<em>Send email</em>"). If you choose to send an email, make sure this recipient
      accepts spam mails! You could configure a special email address for this with "<em>Enable check for spam</em>" set to "<em>No</em>".<br/>
      The directory where spam mails will be quarantined if you choose "<em>Save as file</em>" can NOT be configured on a per user basis,
      so dont ask ;-)
    </td>
  </tr>
  <tr id="row_spam_quarantine_email"><td><b>Email address for quarantine:</b></td>
    <td><input type="text" id="spam_quarantine_email" name="spam_quarantine_email" value="<?php echo (strpos($data["spam_quarantine_to"],"@")===false)?"":$data["spam_quarantine_to"]; ?>" size="20"/></td>
    <td class="comment">The email address where mails declared as spam have to be sent to.</td>
  </tr>
  <tr id="row_spam_notify_admin"><td><b>Send notification about "spam" mails to admin:</b></td>
    <td><select name="spam_notify_admin" id="spam_notify_admin" size="1" onchange="updateFormSpam()">
      <option value="1" <?php echo ( $data["spam_admin"])?"selected=\"selected\"":""; ?>>Yes</option>
      <option value="0" <?php echo (!$data["spam_admin"])?"selected=\"selected\"":""; ?>>No</option>
    </select></td>
    <td class="comment">When a "spam" mail is detected we can automatically send a notification about this mail
      to a special email address (e.g. a postmaster who collects statistics about spam). 
      This notification mail contains the sender and recipient of the infected mail, some meta data
      (extracted from the mail headers) and a report which spam checking tests caused the mail to be
      declared as spam.
    </td>
  </tr>
  <tr id="row_spam_notify_admin_email"><td><b>Email address to send notifications to:</b></td>
    <td><input type="text" id="spam_notify_admin_email" name="spam_notify_admin_email" value="<?php echo $data["spam_admin"]; ?>" size="20"/></td>
    <td class="comment">The mail address where notification emails concerning spam should be sent to.</td>
  </tr>
  <tr id="row_spam_lover"><td><b>Deliver "spam" mails to final recipient:</b></td>
    <td><select name="spam_lover" id="spam_lover" size="1" onchange="updateFormSpam()">
      <option value="1" <?php echo ($data["spam_lover"]=="Y")?"selected=\"selected\"":""; ?>>Yes</option>
      <option value="0" <?php echo ($data["spam_lover"]=="N")?"selected=\"selected\"":""; ?>>No</option>
    </select></td>
    <td class="comment">When a mail is categorized as "spam" you can decide whether or not to receive this email. When you set this option to
      "<em>Yes</em>" you will receive the mail. When you set this to "<em>No</em>", you will NOT receive the mail. In this case you should enable
      the option "<em>Store mails declared as spam in quarantine</em>" to prevent you from really loosing mail.
    </td>
  </tr>
  <tr id="row_spam_addr_extension"><td><b>Add recipient address extension for spam mails:</b></td>
    <td><select name="spam_addr_extension" id="spam_addr_extension" size="1" onchange="updateFormSpam()">
      <option value="1" <?php echo ( $data["addr_extension_spam"])?"selected=\"selected\"":""; ?>>Yes</option>
      <option value="0" <?php echo (!$data["addr_extension_spam"])?"selected=\"selected\"":""; ?>>No</option>
    </select></td>
    <td class="comment">For delivery of spam mails you can automatically modify the recipient address using an "address extension". <br/>
      This means, when your email address is "alice@anywhere.com", and you enable this feature and set "<em>Address extension to
      be used</em>" (see below) to "spam", the final recipient will be "alice+spam@anywhere.com". <br/>
      One special advantage of this: if you have an IMAP account on this mail server, and if you have an IMAP folder called "spam"
      below your INBOX, this extension mechanism will make the email automatically to be stored in this "spam" folder
      (i.e. no need to use SIEVE for this).<br/>
      If this does not work for you, please contact your mail administrator - it's probably a permission problem (missing "anyone p" permission).<br/>
      <em>TODO: verify if this really works!</em>
    </td>
  </tr>
  <tr id="row_spam_addr_extension_txt"><td><b>Address extension to be used:</b></td>
    <td><input type="text" id="spam_addr_extension_txt" name="spam_addr_extension_txt" value="<?php echo $data["addr_extension_spam"]; ?>" size="10"/></td>
    <td class="comment">The address extension to be used for receiving spam mails. For users with an own IMAP account on this mail
      server this causes the mail system to store the received mail in the IMAP folder with the same name as the address extension given here.
    </td>
  </tr>
</table></div>
